/*
Copyright 2021 Q-CTRL. All rights reserved.

Licensed under the Q-CTRL Terms of service (the "License"). Unauthorized
copying or use of this file, via any medium, is strictly prohibited.
Proprietary and confidential. You may not use this file except in compliance
with the License. You may obtain a copy of the License at

     https://q-ctrl.com/terms

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS. See the
License for the specific language.
*/
const _ = require("lodash");

const plugin = require("tailwindcss/plugin"); // Scollbars


module.exports = function ({
  addBase,
  addUtilities,
  theme
}) {
  const body = {
    body: {
      "scrollbar-width": "thin",
      "scrollbar-color": theme("colors.gray.200") + " " + theme("colors.gray.100"),
      "&::-webkit-scrollbar": {
        width: "10px",
        height: "10px"
      },

      /* Track */
      "&::-webkit-scrollbar-track": {
        background: theme("colors.gray.100")
      },

      /* Handle */
      "&::-webkit-scrollbar-thumb": {
        background: theme("colors.gray.200"),
        border: "2px solid " + theme("colors.gray.100")
      },

      /* Handle on hover */
      "&::-webkit-scrollbar-thumb:hover": {
        background: theme("colors.gray.300")
      }
    }
  };
  const scrollbars = {
    ".scrollbar-light, .scrollbar-dark": {
      "scrollbar-width": "thin",
      "&::-webkit-scrollbar": {
        width: "10px",
        height: "10px"
      }
    },
    ".scrollbar-light": {
      "scrollbar-color": theme("colors.gray.200") + " " + theme("colors.gray.100"),

      /* Track */
      "&::-webkit-scrollbar-track": {
        background: theme("colors.gray.100")
      },

      /* Handle */
      "&::-webkit-scrollbar-thumb": {
        background: theme("colors.gray.200"),
        border: "2px solid " + theme("colors.gray.100")
      },

      /* Handle on hover */
      "&::-webkit-scrollbar-thumb:hover": {
        background: theme("colors.gray.300")
      }
    },
    ".scrollbar-dark": {
      "scrollbar-color": theme("colors.gray.800") + " " + theme("colors.gray.600"),

      /* Track */
      "&::-webkit-scrollbar-track": {
        background: theme("colors.gray.600")
      },

      /* Handle */
      "&::-webkit-scrollbar-thumb": {
        background: theme("colors.gray.800"),
        border: "2px solid " + theme("colors.gray.600")
      },

      /* Handle on hover */
      "&::-webkit-scrollbar-thumb:hover": {
        background: theme("colors.gray.700")
      }
    }
  };
  addBase([body]);
  addUtilities([scrollbars]);
};